# list

## HTTP Request

```http
GET /api/v1/datasets/:datasetReference/versions
```

## Path parameters

| Parameter        |                                                                                                                        |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information. |

## Query parameters

| Parameter  |                                                                                                 |
| ---------- | ----------------------------------------------------------------------------------------------- |
| maxResults | Default 100. Must be less than 1000.                                                            |
| pageToken  | For paginating through results, provide the value returned from the previous datasets.list call |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

You must have overview access to the versions' dataset. If a dataset's overview is not public, your access token must have one of the following scopes:

* data.overview
* data.metadata
* data.data
* data.edit

In order to see unreleased versions, you must have edit access to the dataset, and you token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of an array of [version.list resources](/api/resource-definitions/version.md).

```javascript
{
    "kind": "versionList",
    "nextPageToken": integer,
    "results": [
        object(version.list)
    ]
}
```

## Examples


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/versions/listversions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
